<?php

/**
 * This file is part of the JustKnit package.
 *
 * @copyright zahlenhexe (Iris Hammer)
 * @license GNU General Public License v2.0 (and later)
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
namespace JustKnit\Processors\Subscribers;

use MODX\Revolution\Processors\Model\GetListProcessor;
use JustKnit\Model\JustKnitSubscriberMeta;
use xPDO\Om\xPDOQuery;

class GetList extends GetListProcessor {

    public $classKey = JustKnitSubscriberMeta::class;
    public $defaultSortField = 'activatedon';
    public $defaultSortDirection = 'DESC';
    public $objectType = 'justknit.subscribers';

    /**
     * Can be used to adjust the query prior to the COUNT statement
     *
     * @param xPDOQuery $c
     *
     * @return xPDOQuery
     */
    public function prepareQueryBeforeCount(xPDOQuery $c)
    {
        $query = $this->getProperty('query');
        if (!empty($query)) {
            $c->where(
                [
                    'first_name:LIKE' => '%' . $query . '%',
                    'OR:last_name:LIKE' => '%' . $query . '%'

                ]
            );
        }
        return $c;
    }


}

